.tag-changes {
  position: fixed;
  right: 20px;
  top: 4rem;
  width: 250px;
  height: auto;
  padding: 10px;
  border-radius: 4px;
  background-color: var(--yellow-300);
  display: none;
  z-index: 99999;

  &__title {
    font-weight: 600;
    font-size: 13px;
    text-align: center;
    border-bottom: 1px solid var(--yellow-50);
    padding-bottom: 5px;
    display: flex;
    justify-content: space-between;

    & i {
      cursor: pointer;
    }
  }

  &__legend {
    padding: 5px;

    & legend {
      font-size: 9px;
      font-weight: 600;
      text-align: center;
    }
  }

  &__button {
    display: flex;
    justify-content: center;
    text-align: center;

    & i {
      cursor: pointer;
    }
  }

  &.view {
    display: block;
    animation: slide 1s forwards ease-in-out;
    -o-animation: slide 1s forwards ease-in-out;
    -moz-animation: slide 1s forwards ease-in-out;
    -webkit-animation: slide 1s forwards ease-in-out;
  }
}

.title-sentencia {
  position: relative;
  display: flex;
  justify-content: center;
  overflow: hidden;
  &__line {
    position: absolute;
    top: 50%;
    width: 98%;
    border-top: 0.2px solid rgba($color: #000000, $alpha: 0.1);
  }

  &__parrafo {
    position: relative;
    font-size: 1.3rem;
    font-weight: 600;
    max-width: fit-content;
    z-index: 9;
    background-color: #ecf0f5;
  }
}

.btn-float {
  position: sticky;
  top: 8rem;
  left: 0;
  z-index: 999;
  display: flex;
  justify-content: flex-end;
  width: fit-content;
  margin-left: auto;
}

@keyframes slide {
  0% {
    opacity: 0;
    transform: translateX(100%);
    -o-transform: translateX(100%);
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
  }

  100% {
    opacity: 1;
    transform: translateX(0%);
    -o-transform: translateX(0%);
    -webkit-transform: translateX(0%);
    -moz-transform: translateX(0%);
  }
}
